#{extends 'borderNG.html' /}

<ol class="breadcrumb">
    <li><a href="@{nonlelang.PaketPlCtr.index()}">&{'paket.daftar'} </a>
    <li><a href="@{nonlelang.PaketPlCtr.edit(paket.pkt_id)}">&{'paket.edit_paket'} </a>
    <li class="active">&{'paket.pilih_pejabat_pengadaan'}</li>
</ol>

<div class="content">
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bgwarning" width="20%">Kode RUP</th>
            <th>${paket?.kodeRup}</th>
        </tr>
        <tr>
            <th class="bgwarning">K/L/PD<span class="warning"> *</span></th>
            <td>${paket?.namaInstansi}</td>
        </tr>
        <tr>
            <th class="bgwarning">Satuan Kerja<span class="warning"> *</span></th>
            <td>${paket?.namaSatker}</td>
        </tr>
        <tr>
            <th class="bgwarning" width="200">Nama Paket</th>
            <td>${paket.pkt_nama}</td>
        </tr>
    </table>
    <div class="card card-default">
        <div class="card-header">Pilih Pejabat Pengadaan</div>
        <table class="table table-sm" id="tblPejabat">
            <thead>
            <tr>
                <th width="5" nowrap>&{'paket.pejabat_pengadaan'}</th>
                <th width="20%">NIP</th>
                <th>&{'paket.user_id'}</th>
                <th>&{'paket.nama'}</th>

                <th width="10">&{'paket.pilih'}</th>
            </tr>
            </thead>
        </table>
    </div>
    #{backButton action:backUrl /}
</div>

#{form @nonlelang.PaketPlCtr.submit_pp(paket.pkt_id), id:'formPp'}
<input type="hidden" name="ppId" id="ppId" />
#{/form}

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var table = $("#tblPejabat").DataTable({
        ajax: "@{DataTableCtr.pilihPp(oldPp?.pp_id)}",
        columns: [{visible:false}, null,null,null, {render: function (data, type, row){
            #{if oldPp != null}
                var reasonUrl = '@{nonlelang.PaketPlCtr.alasanGantiPp(paket.pkt_id,oldPp.pp_id,llsId)}';
                return '<div class="text-center"><a href="'+reasonUrl+'" class="badge  badge-secondary dialog pilih" value="'+row[0]+'">Pilih</a></div>';
            #{/if}
        	return '<div class="text-center"><a href="javascript:void(0)" class="badge  badge-secondary pilih" value="'+row[0]+'">Pilih</a></div>';
        }}]
    });
    $('#tblPejabat_filter input').unbind();
        $('#tblPejabat_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });
$(document).on("click", ".pilih", function(){
    #{if oldPp != null}
        var ppId = $(this).attr('value');
        var url = $(this).attr('href');

        url = url + '&ppId='+ppId;
        $(this).attr('href',url);

        return true;
    #{/if}
    #{else}
	$('#ppId').attr('value',$(this).attr('value'))
	$('#formPp').submit();
	#{/else}
})
</script>
#{/set}